summaryrefslogtreecommitdiff
path: root/post-apt.d/75git-commit
diff options
context:
space:
mode:
Diffstat (limited to 'post-apt.d/75git-commit')
-rwxr-xr-xpost-apt.d/75git-commit10
1 files changed, 10 insertions, 0 deletions
diff --git a/post-apt.d/75git-commit b/post-apt.d/75git-commit
new file mode 100755
index 0000000..0a84fbd
--- /dev/null
+++ b/post-apt.d/75git-commit
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+# TODO: figure out what packages were acted on by the apt run, and include
+# that info in the commit message
+message="committing changes after apt run"
+
+if ! git commit -m "$message"; then
+ echo "etckeeper warning: git-commit failed"
+fi